Bug 209561 - editors/kate: Fix build with libc++ 3.8.0
Summary: editors/kate: Fix build with libc++ 3.8.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks: 208158
  Show dependency treegraph
 
Reported: 2016-05-16 21:23 UTC by Dimitry Andric
Modified: 2016-05-24 20:14 UTC (History)
1 user (show)

See Also:
pi: maintainer-feedback+


Attachments
Fix type for abs() call in editors/kate (1.12 KB, patch)
2016-05-16 21:23 UTC, Dimitry Andric
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dimitry Andric freebsd_committer 2016-05-16 21:23:46 UTC
Created attachment 170375 [details]
Fix type for abs() call in editors/kate

During the exp-run in bug 208158, it was found that editors/kate gives errors with libc++ 3.8.0 [1]:

/wrkdirs/usr/ports/editors/kate/work/kate-4.14.3/part/view/kateviewhelpers.cpp:1706:24: error: call to 'abs' is ambiguous
            int diff = abs(realLine - currentLine);
                       ^~~

This is because 'realLine' is int, and 'currentLine' is unsigned, making the whole expression unsigned.  Make 'currentLine' int to fix the problem.

[1] http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-05-01_10h29m48s/logs/errors/kate-4.14.3_1.log
Comment 1 Kurt Jaeger freebsd_committer 2016-05-24 20:14:33 UTC
Committed, thanks!
Comment 2 commit-hook freebsd_committer 2016-05-24 20:14:51 UTC
A commit references this bug:

Author: pi
Date: Tue May 24 20:14:19 UTC 2016
New revision: 415809
URL: https://svnweb.freebsd.org/changeset/ports/415809

Log:
  editors/kate: Fix build with libc++ 3.8.0

  PR:		209561
  Submitted by:	dim
  Approved by:	kde

Changes:
  head/editors/kate/files/patch-part_view_kateviewhelpers.cpp